]> Gitweb @ Texas Instruments - Open Source Git Repositories - git.TI.com/gitweb - ipc/ipcdev.git/blobdiff - configure
Reset heapId after reading socket in TransportRpmsg
[ipc/ipcdev.git] / configure
index e54cb46a78656b91d01280658e3745dffb621a32..0249c7e3345fea4acc1a54dec684f1e9a5c0d88e 100755 (executable)
--- a/configure
+++ b/configure
@@ -461,7 +461,7 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL AM_CFLAGS AM_LDFLAGS PLATFORM CMEM_INSTALL_DIR KERNEL_INSTALL_DIR OMAPL138_TRUE OMAPL138_FALSE TCI6614_TRUE TCI6614_FALSE TCI6636_TRUE TCI6636_FALSE TCI6638_TRUE TCI6638_FALSE OMAP54XX_SMP_TRUE OMAP54XX_SMP_FALSE DRA7XX_TRUE DRA7XX_FALSE CMEM_TRUE CMEM_FALSE KDIR_TRUE KDIR_FALSE LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL AM_CFLAGS AM_LDFLAGS PLATFORM CMEM_INSTALL_DIR KERNEL_INSTALL_DIR AF_RPMSG DRM_PREFIX OMAPL138_TRUE OMAPL138_FALSE C66AK2E_TRUE C66AK2E_FALSE TCI6614_TRUE TCI6614_FALSE TCI6630_TRUE TCI6630_FALSE TCI6636_TRUE TCI6636_FALSE TCI6638_TRUE TCI6638_FALSE OMAP54XX_SMP_TRUE OMAP54XX_SMP_FALSE DRA7XX_TRUE DRA7XX_FALSE CMEM_TRUE CMEM_FALSE KDIR_TRUE KDIR_FALSE KERNEL_INSTALL_DIR_TRUE KERNEL_INSTALL_DIR_FALSE DRM_TRUE DRM_FALSE AF_RPMSG_TRUE AF_RPMSG_FALSE LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -946,6 +946,14 @@ ac_env_KERNEL_INSTALL_DIR_set=${KERNEL_INSTALL_DIR+set}
 ac_env_KERNEL_INSTALL_DIR_value=$KERNEL_INSTALL_DIR
 ac_cv_env_KERNEL_INSTALL_DIR_set=${KERNEL_INSTALL_DIR+set}
 ac_cv_env_KERNEL_INSTALL_DIR_value=$KERNEL_INSTALL_DIR
+ac_env_AF_RPMSG_set=${AF_RPMSG+set}
+ac_env_AF_RPMSG_value=$AF_RPMSG
+ac_cv_env_AF_RPMSG_set=${AF_RPMSG+set}
+ac_cv_env_AF_RPMSG_value=$AF_RPMSG
+ac_env_DRM_PREFIX_set=${DRM_PREFIX+set}
+ac_env_DRM_PREFIX_value=$DRM_PREFIX
+ac_cv_env_DRM_PREFIX_set=${DRM_PREFIX+set}
+ac_cv_env_DRM_PREFIX_value=$DRM_PREFIX
 
 #
 # Report the --help message.
@@ -1059,13 +1067,15 @@ Some influential environment variables:
   CXX         C++ compiler command
   CXXFLAGS    C++ compiler flags
   CXXCPP      C++ preprocessor
-  PLATFORM    Platform to build. Options are: 'omapl138' 'omap54xx_smp'
-              'tci6636' and 'tci6638'. If not defined all platforms will be
-              built.
+  PLATFORM    Platform to build. Options are: 'OMAPL138' 'OMAP54XX' '66AK2E'
+              'TCI6630' 'TCI6636' 'TCI6638' and 'DRA7XX'. If not defined all
+              platforms will be built.
   CMEM_INSTALL_DIR
               Installation path directory to the CMEM libraries
   KERNEL_INSTALL_DIR
               Installation path to the Linux kernel.
+  AF_RPMSG    Address Family used by the RPMSG driver
+  DRM_PREFIX  Installation location to the DRM library.
 
 Use these variables to override the choices made by `configure' or to help
 it to find libraries and programs with nonstandard names/locations.
@@ -3711,7 +3721,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 3714 "configure"' > conftest.$ac_ext
+  echo '#line 3724 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -6136,11 +6146,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6139: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6149: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6143: \$? = $ac_status" >&5
+   echo "$as_me:6153: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6404,11 +6414,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6407: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6417: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6411: \$? = $ac_status" >&5
+   echo "$as_me:6421: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6508,11 +6518,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6511: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6521: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:6515: \$? = $ac_status" >&5
+   echo "$as_me:6525: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -8853,7 +8863,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8856 "configure"
+#line 8866 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -8953,7 +8963,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8956 "configure"
+#line 8966 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11293,11 +11303,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11296: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11306: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:11300: \$? = $ac_status" >&5
+   echo "$as_me:11310: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -11397,11 +11407,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11400: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11410: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:11404: \$? = $ac_status" >&5
+   echo "$as_me:11414: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12704,11 +12714,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12707: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12717: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12711: \$? = $ac_status" >&5
+   echo "$as_me:12721: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -12972,11 +12982,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12975: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12985: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12979: \$? = $ac_status" >&5
+   echo "$as_me:12989: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -13076,11 +13086,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13079: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13089: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13083: \$? = $ac_status" >&5
+   echo "$as_me:13093: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16775,28 +16785,38 @@ done
 
 
 
+
+
 # Test platform variable for setting
-if test "x$PLATFORM" = "xomapl138"; then
+if test "x$PLATFORM" = "xOMAPL138"; then
+  { echo "$as_me:$LINENO: PLATFORM is set to ${PLATFORM}" >&5
+echo "$as_me: PLATFORM is set to ${PLATFORM}" >&6;}
+else
+  if test "x$PLATFORM" = "x66AK2E"; then
   { echo "$as_me:$LINENO: PLATFORM is set to ${PLATFORM}" >&5
 echo "$as_me: PLATFORM is set to ${PLATFORM}" >&6;}
 else
-  if test "x$PLATFORM" = "xtci6614"; then
+  if test "x$PLATFORM" = "xTCI6614"; then
   { echo "$as_me:$LINENO: PLATFORM is set to ${PLATFORM}" >&5
 echo "$as_me: PLATFORM is set to ${PLATFORM}" >&6;}
 else
-  if test "x$PLATFORM" = "xtci6636"; then
+  if test "x$PLATFORM" = "xTCI6630"; then
   { echo "$as_me:$LINENO: PLATFORM is set to ${PLATFORM}" >&5
 echo "$as_me: PLATFORM is set to ${PLATFORM}" >&6;}
 else
-  if test "x$PLATFORM" = "xtci6638"; then
+  if test "x$PLATFORM" = "xTCI6636"; then
   { echo "$as_me:$LINENO: PLATFORM is set to ${PLATFORM}" >&5
 echo "$as_me: PLATFORM is set to ${PLATFORM}" >&6;}
 else
-  if test "x$PLATFORM" = "xomap54xx_smp"; then
+  if test "x$PLATFORM" = "xTCI6638"; then
   { echo "$as_me:$LINENO: PLATFORM is set to ${PLATFORM}" >&5
 echo "$as_me: PLATFORM is set to ${PLATFORM}" >&6;}
 else
-  if test "x$PLATFORM" = "xdra7xx"; then
+  if test "x$PLATFORM" = "xOMAP54XX"; then
+  { echo "$as_me:$LINENO: PLATFORM is set to ${PLATFORM}" >&5
+echo "$as_me: PLATFORM is set to ${PLATFORM}" >&6;}
+else
+  if test "x$PLATFORM" = "xDRA7XX"; then
   { echo "$as_me:$LINENO: PLATFORM is set to ${PLATFORM}" >&5
 echo "$as_me: PLATFORM is set to ${PLATFORM}" >&6;}
 else
 
 fi
 
+fi
 
-# Test platform for omap5 variable and require a KERNEL path
-if test "x$PLATFORM" = "xomap54xx_smp"; then
-  if test "x$KERNEL_INSTALL_DIR" = "x"; then
-  { { echo "$as_me:$LINENO: error: Kernel path for ${PLATFORM} is not set" >&5
-echo "$as_me: error: Kernel path for ${PLATFORM} is not set" >&2;}
-   { (exit 1); exit 1; }; }
 fi
 
+
+# If platform is specified, make sure at least one of
+# KERNEL_INSTALL_DIR or AF_MSG are set.
+if test -n "$PLATFORM" -a -z "$KERNEL_INSTALL_DIR" -a -z "$AF_RPMSG"; then
+  { { echo "$as_me:$LINENO: error: Must set at least one of KERNEL_INSTALL_DIR or AF_RPMSG" >&5
+echo "$as_me: error: Must set at least one of KERNEL_INSTALL_DIR or AF_RPMSG" >&2;}
+   { (exit 1); exit 1; }; }
 fi
 
 
@@ -16838,16 +16860,26 @@ if test "x$PLATFORM" = "x"; then
   KERNEL_INSTALL_DIR=
 fi
 
+if test "x$PLATFORM" = "x"; then
+  DRM_PREFIX=
+fi
+
+if test "x$PLATFORM" = "x"; then
+  CMEM_INSTALL_DIR=
+fi
+
 
 # Export optional user variable to Makefile(s)
 
 
 
 
+
+
 # Define specific variables to be used in Makefile.am
 
 
-if test "x$PLATFORM" = "xomapl138"; then
+if test "x$PLATFORM" = "xOMAPL138"; then
   OMAPL138_TRUE=
   OMAPL138_FALSE='#'
 else
 
 
 
-if test "x$PLATFORM" = "xtci6614"; then
+if test "x$PLATFORM" = "x66AK2E"; then
+  C66AK2E_TRUE=
+  C66AK2E_FALSE='#'
+else
+  C66AK2E_TRUE='#'
+  C66AK2E_FALSE=
+fi
+
+
+
+if test "x$PLATFORM" = "xTCI6614"; then
   TCI6614_TRUE=
   TCI6614_FALSE='#'
 else
 
 
 
-if test "x$PLATFORM" = "xtci6636"; then
+if test "x$PLATFORM" = "xTCI6630"; then
+  TCI6630_TRUE=
+  TCI6630_FALSE='#'
+else
+  TCI6630_TRUE='#'
+  TCI6630_FALSE=
+fi
+
+
+
+if test "x$PLATFORM" = "xTCI6636"; then
   TCI6636_TRUE=
   TCI6636_FALSE='#'
 else
@@ -16877,7 +16929,7 @@ fi
 
 
 
-if test "x$PLATFORM" = "xtci6638"; then
+if test "x$PLATFORM" = "xTCI6638"; then
   TCI6638_TRUE=
   TCI6638_FALSE='#'
 else
@@ -16887,7 +16939,7 @@ fi
 
 
 
-if test "x$PLATFORM" = "xomap54xx_smp"; then
+if test "x$PLATFORM" = "xOMAP54XX"; then
   OMAP54XX_SMP_TRUE=
   OMAP54XX_SMP_FALSE='#'
 else
@@ -16897,7 +16949,7 @@ fi
 
 
 
-if test "x$PLATFORM" = "xdra7xx"; then
+if test "x$PLATFORM" = "xDRA7XX"; then
   DRA7XX_TRUE=
   DRA7XX_FALSE='#'
 else
@@ -16926,6 +16978,36 @@ else
 fi
 
 
+
+if test -n "$KERNEL_INSTALL_DIR"; then
+  KERNEL_INSTALL_DIR_TRUE=
+  KERNEL_INSTALL_DIR_FALSE='#'
+else
+  KERNEL_INSTALL_DIR_TRUE='#'
+  KERNEL_INSTALL_DIR_FALSE=
+fi
+
+
+
+if test "x$DRM_PREFIX" != "x"; then
+  DRM_TRUE=
+  DRM_FALSE='#'
+else
+  DRM_TRUE='#'
+  DRM_FALSE=
+fi
+
+
+
+if test -n "$AF_RPMSG"; then
+  AF_RPMSG_TRUE=
+  AF_RPMSG_FALSE='#'
+else
+  AF_RPMSG_TRUE='#'
+  AF_RPMSG_FALSE=
+fi
+
+
 # Generate Makefile(s)
           ac_config_files="$ac_config_files Makefile"
 
 
           ac_config_files="$ac_config_files linux/src/utils/Makefile"
 
+          ac_config_files="$ac_config_files linux/src/utils/libtiipcutils.pc"
+
           ac_config_files="$ac_config_files linux/src/api/Makefile"
 
+          ac_config_files="$ac_config_files linux/src/api/libtiipc.pc"
+
           ac_config_files="$ac_config_files linux/src/mm/Makefile"
 
+          ac_config_files="$ac_config_files linux/src/mm/libmmrpc.pc"
+
           ac_config_files="$ac_config_files linux/src/daemon/Makefile"
 
           ac_config_files="$ac_config_files linux/src/tests/Makefile"
 
+          ac_config_files="$ac_config_files linux/src/transport/Makefile"
+
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
 # tests run on this system so they can be shared between configure
@@ -17105,6 +17195,13 @@ echo "$as_me: error: conditional \"OMAPL138\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${C66AK2E_TRUE}" && test -z "${C66AK2E_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"C66AK2E\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"C66AK2E\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 if test -z "${TCI6614_TRUE}" && test -z "${TCI6614_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"TCI6614\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -17112,6 +17209,13 @@ echo "$as_me: error: conditional \"TCI6614\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${TCI6630_TRUE}" && test -z "${TCI6630_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"TCI6630\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"TCI6630\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 if test -z "${TCI6636_TRUE}" && test -z "${TCI6636_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"TCI6636\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -17154,6 +17258,27 @@ echo "$as_me: error: conditional \"KDIR\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${KERNEL_INSTALL_DIR_TRUE}" && test -z "${KERNEL_INSTALL_DIR_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"KERNEL_INSTALL_DIR\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"KERNEL_INSTALL_DIR\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+if test -z "${DRM_TRUE}" && test -z "${DRM_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"DRM\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"DRM\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
+if test -z "${AF_RPMSG_TRUE}" && test -z "${AF_RPMSG_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"AF_RPMSG\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"AF_RPMSG\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "linux/etc/Makefile" ) CONFIG_FILES="$CONFIG_FILES linux/etc/Makefile" ;;
   "linux/src/utils/Makefile" ) CONFIG_FILES="$CONFIG_FILES linux/src/utils/Makefile" ;;
+  "linux/src/utils/libtiipcutils.pc" ) CONFIG_FILES="$CONFIG_FILES linux/src/utils/libtiipcutils.pc" ;;
   "linux/src/api/Makefile" ) CONFIG_FILES="$CONFIG_FILES linux/src/api/Makefile" ;;
+  "linux/src/api/libtiipc.pc" ) CONFIG_FILES="$CONFIG_FILES linux/src/api/libtiipc.pc" ;;
   "linux/src/mm/Makefile" ) CONFIG_FILES="$CONFIG_FILES linux/src/mm/Makefile" ;;
+  "linux/src/mm/libmmrpc.pc" ) CONFIG_FILES="$CONFIG_FILES linux/src/mm/libmmrpc.pc" ;;
   "linux/src/daemon/Makefile" ) CONFIG_FILES="$CONFIG_FILES linux/src/daemon/Makefile" ;;
   "linux/src/tests/Makefile" ) CONFIG_FILES="$CONFIG_FILES linux/src/tests/Makefile" ;;
+  "linux/src/transport/Makefile" ) CONFIG_FILES="$CONFIG_FILES linux/src/transport/Makefile" ;;
   "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
@@ -17755,10 +17884,16 @@ s,@AM_LDFLAGS@,$AM_LDFLAGS,;t t
 s,@PLATFORM@,$PLATFORM,;t t
 s,@CMEM_INSTALL_DIR@,$CMEM_INSTALL_DIR,;t t
 s,@KERNEL_INSTALL_DIR@,$KERNEL_INSTALL_DIR,;t t
+s,@AF_RPMSG@,$AF_RPMSG,;t t
+s,@DRM_PREFIX@,$DRM_PREFIX,;t t
 s,@OMAPL138_TRUE@,$OMAPL138_TRUE,;t t
 s,@OMAPL138_FALSE@,$OMAPL138_FALSE,;t t
+s,@C66AK2E_TRUE@,$C66AK2E_TRUE,;t t
+s,@C66AK2E_FALSE@,$C66AK2E_FALSE,;t t
 s,@TCI6614_TRUE@,$TCI6614_TRUE,;t t
 s,@TCI6614_FALSE@,$TCI6614_FALSE,;t t
+s,@TCI6630_TRUE@,$TCI6630_TRUE,;t t
+s,@TCI6630_FALSE@,$TCI6630_FALSE,;t t
 s,@TCI6636_TRUE@,$TCI6636_TRUE,;t t
 s,@TCI6636_FALSE@,$TCI6636_FALSE,;t t
 s,@TCI6638_TRUE@,$TCI6638_TRUE,;t t
@@ -17771,6 +17906,12 @@ s,@CMEM_TRUE@,$CMEM_TRUE,;t t
 s,@CMEM_FALSE@,$CMEM_FALSE,;t t
 s,@KDIR_TRUE@,$KDIR_TRUE,;t t
 s,@KDIR_FALSE@,$KDIR_FALSE,;t t
+s,@KERNEL_INSTALL_DIR_TRUE@,$KERNEL_INSTALL_DIR_TRUE,;t t
+s,@KERNEL_INSTALL_DIR_FALSE@,$KERNEL_INSTALL_DIR_FALSE,;t t
+s,@DRM_TRUE@,$DRM_TRUE,;t t
+s,@DRM_FALSE@,$DRM_FALSE,;t t
+s,@AF_RPMSG_TRUE@,$AF_RPMSG_TRUE,;t t
+s,@AF_RPMSG_FALSE@,$AF_RPMSG_FALSE,;t t
 s,@LIBOBJS@,$LIBOBJS,;t t
 s,@LTLIBOBJS@,$LTLIBOBJS,;t t
 CEOF
@@ -18257,6 +18398,9 @@ You have configured to build for the '${PLATFORM}' platform
 Your KERNEL installation directory is set to:
     '${KERNEL_INSTALL_DIR}'
 
+Your DRM installation directory is set to:
+    '${DRM_PREFIX}'
+
 Your CMEM installation directory is set to:
     '${CMEM_INSTALL_DIR}'